/*  Ant-based Clustering
    Copyright (C) 2004 Julia Handl
    Email: Julia.Handl@gmx.de

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

*/

/***************************************************

date: 7.4.2003

author: Julia Handl (julia.handl@gmx.de)

description:
implementation of a number of handcrafted test sets

***************************************************/


#ifndef TESTSET_JH_2003
#define TESTSET_JH_2003

#include "conf.h"


class testset {

 public:

    char * name;
    conf * par;

    /* data matrix */
    USED_DATA_TYPE ** point_coordinates;

    /* constructor, the desired test set is identified
       by <name> */
    testset(char * name, conf * c);
    ~testset();

    /* generate the actual data from the specified 
       Normal Distributions */
    void generate();

      
};
    
#endif
